﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Mondol.TaskHosting.Examples.HelloWord
{
    [Task("Hello Word", IsMutilThread = true, ConfigType = typeof(Config))]
    class HelloWordTask : Mondol.TaskHosting.Task
    {
        private readonly Config _cfg;
        private readonly IImmediateLogger _immediateLogger;

        public HelloWordTask(Config cfg, IImmediateLogger immediateLogger)
        {
            _cfg = cfg;
            _immediateLogger = immediateLogger;
        }

        public override void OnRun()
        {
            _immediateLogger.Info($"设置1的值为： { _cfg.Setting1}");
            _immediateLogger.Info($"设置2的值为： { _cfg.Setting2}");
        }
    }
}
